Loading...
Searching...
No Matches
Dune::BCRSMatrix< B, A >::CreateIterator Class Reference

Iterator class for sequential creation of blocks More...

`#include <dune/istl/bcrsmatrix.hh>`

## Public Member Functions

| CreateIterator (BCRSMatrix &_Mat, size_type _i)
| constructor
CreateIterator & | operator++ ()
| prefix increment
bool | operator!= (const CreateIterator &it) const
| inequality
bool | operator== (const CreateIterator &it) const
| equality
size_type | index () const
| The number of the row that the iterator currently points to.
void | insert (size_type j)
| put column index in row
bool | contains (size_type j)
| return true if column index is in row
size_type | size () const
| Get the current row size.

## Detailed Description

template<class B, class A = std::allocator<B>>
class Dune::BCRSMatrix< B, A >::CreateIterator

Iterator class for sequential creation of blocks

## Constructor & Destructor Documentation

## CreateIterator()

template<class B, class A = std::allocator<B>>

Dune::BCRSMatrix< B, A >::CreateIterator::CreateIterator | ( | BCRSMatrix & | _Mat,
|  | size_type | _i )

inline

constructor

## Member Function Documentation

## contains()

template<class B, class A = std::allocator<B>>

bool Dune::BCRSMatrix< B, A >::CreateIterator::contains | ( | size_type | j | ) |

inline

return true if column index is in row

## index()

template<class B, class A = std::allocator<B>>

size_type Dune::BCRSMatrix< B, A >::CreateIterator::index | ( |  | ) | const

inline

The number of the row that the iterator currently points to.

## insert()

template<class B, class A = std::allocator<B>>

void Dune::BCRSMatrix< B, A >::CreateIterator::insert | ( | size_type | j | ) |

inline

put column index in row

## operator!=()

template<class B, class A = std::allocator<B>>

bool Dune::BCRSMatrix< B, A >::CreateIterator::operator!= | ( | const CreateIterator & | it | ) | const

inline

inequality

## operator++()

template<class B, class A = std::allocator<B>>

CreateIterator & Dune::BCRSMatrix< B, A >::CreateIterator::operator++ | ( |  | ) |

inline

prefix increment

## operator==()

template<class B, class A = std::allocator<B>>

bool Dune::BCRSMatrix< B, A >::CreateIterator::operator== | ( | const CreateIterator & | it | ) | const

inline

equality

## size()

template<class B, class A = std::allocator<B>>

size_type Dune::BCRSMatrix< B, A >::CreateIterator::size | ( |  | ) | const

inline

Get the current row size.

Returns
  The number of indices already inserted for the current row.

The documentation for this class was generated from the following file:

- bcrsmatrix.hh